<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">


<!--
IGAC proyecto SNC

@author rodrigo.hernandez

@description  página para CU-SA-AC-024 Evaluar Desempeño Profesional del Avaluador

@Managed Bean EvaluacionDesempenoProfesionalAvaluadorMB
 
@version  2.0

-->


<ui:composition xmlns="http://www.w3.org/1999/xhtml"
                xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:f="http://java.sun.com/jsf/core"
                xmlns:h="http://java.sun.com/jsf/html"
                xmlns:p="http://primefaces.org/ui"
                xmlns:misc="http://java.sun.com/jsf/composite/misc"
                xmlns:avaluos="http://java.sun.com/jsf/composite/avaluos"
                xmlns:predio="http://java.sun.com/jsf/composite/predio"
                template="../../templates/generalCU.xhtml">

    <ui:define name="title">.::Sistema Nacional Catastral::. .::Evaluar Desempeño Profesional del Avaluador::.</ui:define>
    <ui:define name="content">
        <h:form id="evaluarDesempenoProfesionalAvaluadorForm">
            <p:focus />
            <p:messages id="msgsEDPA" showDetail="false" globalOnly="false" />

            <p:spacer height="10" />

            <!-- INFORMACION DE AVALUO, SOLICITANTE, CONTROL DE CALIDAD -->
            <p:fieldset>
                <h:panelGrid id="mainPG" columns="2" width="100%">

                    <h:panelGrid columns="2" width="100%"
                                 columnClasses="colMediana, colMediana">
                        <h:outputLabel value="Fecha" styleClass="outputLabelStyle" />
                        <h:outputText
                            value="#{evaluarDesempenoProfesionalAvaluador.fecha}"
                            styleClass="outputTextStyle">
                            <f:convertDateTime pattern="#{general.formatoFechaUsuario2}"
                                               timeZone="GMT-5" />
                        </h:outputText>
                    </h:panelGrid>

                    <h:panelGrid columns="2" width="100%"
                                 columnClasses="colMediana, colMediana">
                        <h:outputLabel value="Nombre  Avaluador:"
                                       styleClass="outputLabelStyle" />

                        <p:commandLink
                            value="#{evaluarDesempenoProfesionalAvaluador.avaluoSeleccionado.avaluadores[0].nombreCompleto}"
                            styleClass="commandLinkStyle"
                            action="#{consultarAvaluadoresAsignados.cargarAvaluadoresAsignados}"
                            update=":consultarAvaluadoresAsignadosPG"
                            onstart="statusDialog2.show();"
                            oncomplete="statusDialog2.hide();
                            infoAvaluadoresAsignadosWV.show();"
                            rendered="#{evaluarDesempenoProfesionalAvaluador.avaluoSeleccionado.tieneMultiplesAvaluadores}">
                            <f:setPropertyActionListener
                                value="#{evaluarDesempenoProfesionalAvaluador.avaluoSeleccionado.secRadicado}"
                                target="#{consultarAvaluadoresAsignados.secRadicado}" />
                        </p:commandLink>
                        <h:outputText styleClass="outputTextStyle"
                                      rendered="#{!evaluarDesempenoProfesionalAvaluador.avaluoSeleccionado.tieneMultiplesAvaluadores}"
                                      value="#{evaluarDesempenoProfesionalAvaluador.avaluoSeleccionado.avaluadores[0].nombreCompleto}" />
                    </h:panelGrid>

                    <h:panelGrid columns="2" width="100%"
                                 columnClasses="colMediana, colMediana">
                        <h:outputLabel value="Departamento:" styleClass="outputLabelStyle" />

                        <h:outputText styleClass="outputTextStyle"
                                      rendered="#{!evaluarDesempenoProfesionalAvaluador.avaluoSeleccionado.tienePrediosEnDiferentesDeptos}"
                                      value="#{evaluarDesempenoProfesionalAvaluador.avaluoSeleccionado.tramite.departamento.codigo} - 
                                      #{evaluarDesempenoProfesionalAvaluador.avaluoSeleccionado.tramite.departamento.nombre}">
                        </h:outputText>

                        <p:commandLink
                            value="#{evaluarDesempenoProfesionalAvaluador.avaluoSeleccionado.avaluosPredios[0].codigo} - 
                            #{evaluarDesempenoProfesionalAvaluador.avaluoSeleccionado.avaluosPredios[0].departamento.nombre}"
                            rendered="#{evaluarDesempenoProfesionalAvaluador.avaluoSeleccionado.tienePrediosEnDiferentesDeptos}"
                            styleClass="commandLinkStyle"
                            action="#{consultarDptoMunpioAvaluo.cargarDeptosMunisAvaluo}"
                            update=":consultarDepartamentosMunicipioForm"
                            onstart="statusDialog2.show();"
                            oncomplete="statusDialog2.hide();
                            handleCompleteSIC(xhr, status, args, infoDeptosMunisWV, true);">
                            <f:setPropertyActionListener
                                value="#{evaluarDesempenoProfesionalAvaluador.avaluoSeleccionado}"
                                target="#{consultarDptoMunpioAvaluo.avaluoSeleccionado}" />
                        </p:commandLink>
                    </h:panelGrid>

                    <h:panelGrid columns="2" width="100%"
                                 columnClasses="colMediana, colMediana">
                        <h:outputLabel value="No. Orden Práctica:"
                                       styleClass="outputLabelStyle" />
                        <h:outputText
                            value="#{evaluarDesempenoProfesionalAvaluador.ordenPractica.numero}"
                            styleClass="outputTextStyle" />
                    </h:panelGrid>

                    <h:panelGrid columns="2" width="100%"
                                 columnClasses="colMediana, colMediana">
                        <h:outputLabel value="Municipio:" styleClass="outputLabelStyle" />
                        <h:outputText styleClass="outputTextStyle"
                                      rendered="#{!evaluarDesempenoProfesionalAvaluador.avaluoSeleccionado.tienePrediosEnDiferentesDeptos}"
                                      value="#{evaluarDesempenoProfesionalAvaluador.avaluoSeleccionado.tramite.municipio.codigo} - 
                                      #{evaluarDesempenoProfesionalAvaluador.avaluoSeleccionado.tramite.municipio.nombre}">
                        </h:outputText>

                        <p:commandLink
                            value="#{evaluarDesempenoProfesionalAvaluador.avaluoSeleccionado.avaluosPredios[0].codigo} - 
                            #{evaluarDesempenoProfesionalAvaluador.avaluoSeleccionado.avaluosPredios[0].municipio.nombre}"
                            rendered="#{evaluarDesempenoProfesionalAvaluador.avaluoSeleccionado.tienePrediosEnDiferentesDeptos}"
                            styleClass="commandLinkStyle"
                            action="#{consultarDptoMunpioAvaluo.cargarDeptosMunisAvaluo}"
                            update=":consultarDepartamentosMunicipioForm"
                            onstart="statusDialog2.show();"
                            oncomplete="statusDialog2.hide();
                            handleCompleteSIC(xhr, status, args, infoDeptosMunisWV, true);">
                            <f:setPropertyActionListener
                                value="#{evaluarDesempenoProfesionalAvaluador.avaluoSeleccionado}"
                                target="#{consultarDptoMunpioAvaluo.avaluoSeleccionado}" />
                        </p:commandLink>
                    </h:panelGrid>

                    <h:panelGrid columns="2" width="100%"
                                 rendered="#{evaluarDesempenoProfesionalAvaluador.banderaEsAvaluoDeTerritorial}"
                                 columnClasses="colMediana, colMediana">
                        <h:outputLabel value="Profesional Control Calidad Territorial:"
                                       styleClass="outputLabelStyle" />
                        <h:outputText
                            value="#{evaluarDesempenoProfesionalAvaluador.profesionalControlCalidad.nombreCompleto}"
                            styleClass="outputTextStyle" />
                    </h:panelGrid>

                    <h:panelGrid columns="2" width="100%"
                                 columnClasses="colMediana, colMediana">
                        <h:outputLabel value="Tipo Avalúo:" styleClass="outputLabelStyle" />
                        <h:outputText styleClass="outputTextStyle"
                                      id="AvaluosComercialesTipoTramite-1"
                                      value="#{evaluarDesempenoProfesionalAvaluador.avaluoSeleccionado.tramite.solicitud.tipo}">
                            <f:converter converterId="converterCB"
                                         for="AvaluosComercialesTipoTramite-1" />
                        </h:outputText>
                    </h:panelGrid>

                    <h:panelGrid columns="2" width="100%"
                                 rendered="#{!evaluarDesempenoProfesionalAvaluador.banderaEsAvaluoDeTerritorial}"
                                 columnClasses="colMediana, colMediana">
                        <h:outputLabel value="Profesional Control Calidad Sede Central:"
                                       styleClass="outputLabelStyle" />
                        <h:outputText
                            value="#{evaluarDesempenoProfesionalAvaluador.profesionalControlCalidad.nombreCompleto}"
                            styleClass="outputTextStyle" />
                    </h:panelGrid>

                    <h:panelGrid columns="2" width="100%"
                                 columnClasses="colMediana, colMediana">
                        <h:outputLabel value="Sec. Radicado:"
                                       styleClass="outputLabelStyle" />
                        <p:commandLink id="solicitudLink-2" styleClass="commandLinkStyle"
                                       onstart="statusDialog2.show();" update=":isCC:infoSolicitudTV"
                                       oncomplete="infoSolicitudCCWV.show();statusDialog2.hide()"
                                       value="#{evaluarDesempenoProfesionalAvaluador.avaluoSeleccionado.secRadicado}"
                                       action="#{consultaInformacionSolicitud.consultarSolicitud}">
                            <f:setPropertyActionListener
                                value="#{evaluarDesempenoProfesionalAvaluador.avaluoSeleccionado.secRadicado}"
                                target="#{consultaInformacionSolicitud.numeroSecRadicado}" />

                        </p:commandLink>
                    </h:panelGrid>

                    <h:panelGrid columns="2" width="100%"
                                 columnClasses="colMediana, colMediana">
                        <p:commandLink id="infoPredialLink" styleClass="commandLinkStyle"
                                       value="Información predial" onstart="statusDialog2.show();"
                                       oncomplete="infoPredialWV.show();statusDialog2.hide();"
                                       update=":pdsDialog"
                                       action="#{consultaInformacionPredial.cargarInformacionPredial}">
                            <f:setPropertyActionListener
                                value="#{evaluarDesempenoProfesionalAvaluador.avaluoSeleccionado}"
                                target="#{consultaInformacionPredial.avaluoSeleccionado}" />
                            <h:outputText value="" />
                        </p:commandLink>

                    </h:panelGrid>

                    <h:panelGrid columns="2" width="100%"
                                 columnClasses="colMediana, colMediana">
                        <h:outputLabel value="Solicitante:" styleClass="outputLabelStyle" />
                        <h:outputText
                            value="#{evaluarDesempenoProfesionalAvaluador.avaluoSeleccionado.solicitante.nombreCompleto}"
                            styleClass="outputTextStyle" />
                    </h:panelGrid>
                </h:panelGrid>
            </p:fieldset>

            <p:spacer height="10" />

            <!-- TABLAS DE PUNTAJES -->
            <p:fieldset>

                <!-- PANEL PARA TABLA DE PUNTAJES DE CALIDAD -->
                <h:panelGrid columns="2" width="100%"
                             columnClasses="colGrande, colGrande" rowClasses="columnOnTop">

                    <h:panelGrid width="100%">

                        <legend>
                            <h:outputText value="Calidad" styleClass="legendTitle" />
                        </legend>

                        <p:dataTable var="variableCalidad" id="variablesCalidadTable"
                                     widgetVar="variablesCalidadTableWV"
                                     value="#{evaluarDesempenoProfesionalAvaluador.listaEvaluacionDetallesCalidad}"
                                     rowKey="#{variableCalidad.id}" editable="true">

                            <p:column headerText="Opciones" style="width:30px">
                                <p:rowEditor />
                            </p:column>

                            <p:column>
                                <f:facet name="header">
                                    <h:outputText value="Variable analizada" />
                                </f:facet>
                                <h:outputText
                                    value="#{variableCalidad.variableEvaluacionAvaluo.nombre}"
                                    styleClass="outputTextStyle" />
                            </p:column>

                            <p:column>
                                <f:facet name="header">
                                    <h:outputText value="Rango" />
                                </f:facet>
                                <h:outputText
                                    value="#{variableCalidad.variableEvaluacionAvaluo.valorMinimo} 
                                    - #{variableCalidad.variableEvaluacionAvaluo.valorMaximo}"
                                    styleClass="outputTextStyle" />
                            </p:column>

                            <p:column>
                                <f:facet name="header">
                                    <h:outputText value="Puntaje" />
                                </f:facet>

                                <p:cellEditor>
                                    <f:facet name="output">
                                        <h:outputText value="#{variableCalidad.valor}"
                                                      styleClass="outputTextStyle" />
                                    </f:facet>
                                    <f:facet name="input">
                                        <p:inputText value="#{variableCalidad.valor}" />
                                    </f:facet>
                                </p:cellEditor>

                            </p:column>

                            <p:column>
                                <f:facet name="header">
                                    <h:outputText value="Observaciones" />
                                </f:facet>
                                <p:cellEditor>
                                    <f:facet name="output">
                                        <h:outputText value="#{variableCalidad.observaciones}"
                                                      styleClass="outputTextStyle" />
                                    </f:facet>
                                    <f:facet name="input">
                                        <p:inputText value="#{variableCalidad.observaciones}" />
                                    </f:facet>
                                </p:cellEditor>
                            </p:column>

                        </p:dataTable>

                        <p:spacer height="10" />

                        <h:panelGrid columns="2" width="100%"
                                     columnClasses="colMediana, colMediana">
                            <h:outputLabel value="Suma parcial calidad:"
                                           styleClass="outputLabelStyle" />
                            <h:outputText
                                value="#{evaluarDesempenoProfesionalAvaluador.sumaParcialCalidad}"
                                styleClass="outputTextStyle" />
                        </h:panelGrid>

                    </h:panelGrid>

                    <h:panelGrid width="100%">


                        <legend>
                            <h:outputText value="Eficacia" styleClass="legendTitle" />
                        </legend>

                        <p:dataTable var="variableEficacia" id="variablesEficaciaTable"
                                     widgetVar="variablesEficaciaTableWV"
                                     value="#{evaluarDesempenoProfesionalAvaluador.listaEvaluacionDetallesEficacia}"
                                     rowKey="#{variableEficacia.id}" editable="true">

                            <p:column headerText="Opciones" style="width:30px">
                                <p:rowEditor rendered="#{variableEficacia.esEditable}" />
                            </p:column>

                            <p:column>
                                <f:facet name="header">
                                    <h:outputText value="Variable analizada" />
                                </f:facet>
                                <h:outputText
                                    value="#{variableEficacia.variableEvaluacionAvaluo.nombre}"
                                    styleClass="outputTextStyle" />
                            </p:column>

                            <p:column>
                                <f:facet name="header">
                                    <h:outputText value="Puntaje" />
                                </f:facet>

                                <h:outputText value="#{variableEficacia.valor}"
                                              styleClass="outputTextStyle" />
                            </p:column>

                            <p:column>
                                <f:facet name="header">
                                    <h:outputText value="Observaciones" />
                                </f:facet>
                                <p:cellEditor>
                                    <f:facet name="output">
                                        <h:outputText value="#{variableEficacia.observaciones}"
                                                      styleClass="outputTextStyle" />
                                    </f:facet>
                                    <f:facet name="input">
                                        <p:inputText value="#{variableEficacia.observaciones}" />
                                    </f:facet>
                                </p:cellEditor>

                            </p:column>

                        </p:dataTable>

                        <p:spacer height="10" />

                        <h:panelGrid columns="2" width="100%"
                                     columnClasses="colMediana, colMediana">
                            <h:outputLabel value="Suma parcial eficacia:"
                                           styleClass="outputLabelStyle" />
                            <h:outputText
                                value="#{evaluarDesempenoProfesionalAvaluador.sumaParcialEficacia}"
                                styleClass="outputTextStyle" />
                        </h:panelGrid>

                        <legend>
                            <h:outputText value="Eficiencia" styleClass="legendTitle" />
                        </legend>

                        <h:panelGrid width="100%">

                            <p:dataTable var="variableEficiencia"
                                         id="variablesEficienciaTable"
                                         widgetVar="variablesEficienciaTableWV"
                                         value="#{evaluarDesempenoProfesionalAvaluador.listaEvaluacionDetallesEficiencia}"
                                         rowKey="#{variableEficiencia.id}" editable="true">

                                <p:column headerText="Opciones" style="width:30px">
                                    <p:rowEditor rendered="#{variableEficiencia.esEditable}" />
                                </p:column>

                                <p:column>
                                    <f:facet name="header">
                                        <h:outputText value="Variable analizada" />
                                    </f:facet>
                                    <h:outputText
                                        value="#{variableEficiencia.variableEvaluacionAvaluo.nombre}"
                                        styleClass="outputTextStyle" />
                                </p:column>

                                <p:column>
                                    <f:facet name="header">
                                        <h:outputText value="Puntaje" />
                                    </f:facet>

                                    <h:outputText value="#{variableEficiencia.valor}"
                                                  styleClass="outputTextStyle" />
                                </p:column>

                                <p:column>
                                    <f:facet name="header">
                                        <h:outputText value="Observaciones" />
                                    </f:facet>
                                    <p:cellEditor>
                                        <f:facet name="output">
                                            <h:outputText value="#{variableEficiencia.observaciones}"
                                                          styleClass="outputTextStyle" />
                                        </f:facet>
                                        <f:facet name="input">
                                            <p:inputText value="#{variableEficiencia.observaciones}" />
                                        </f:facet>
                                    </p:cellEditor>
                                </p:column>

                            </p:dataTable>

                            <p:spacer height="10" />

                            <h:panelGrid columns="2" width="100%"
                                         columnClasses="colMediana, colMediana">
                                <h:outputLabel value="Suma parcial eficiencia:"
                                               styleClass="outputLabelStyle" />
                                <h:outputText
                                    value="#{evaluarDesempenoProfesionalAvaluador.sumaParcialEficiencia}"
                                    styleClass="outputTextStyle" />
                            </h:panelGrid>

                        </h:panelGrid>
                    </h:panelGrid>

                    <h:panelGrid columns="2" width="100%"
                                 columnClasses="colMediana, colMediana">
                        <h:outputLabel value="Total:" styleClass="outputLabelStyle" />
                        <h:outputText
                            value="#{evaluarDesempenoProfesionalAvaluador.sumaTotal}"
                            styleClass="outputLabelStyle" />
                    </h:panelGrid>
                </h:panelGrid>

                <h:panelGrid width="100%">
                    <p:spacer height="10" />
                    <h:outputLabel value="Observaciones generales"
                                   styleClass="outputLabelStyle" for="observacionesText" />
                    <h:inputTextarea id="observacionesText" rows="3" cols="180" style="width: 100%;"
                                     value="#{evaluarDesempenoProfesionalAvaluador.observacionesGenerales}" />
                </h:panelGrid>

                <p:spacer height="20" />

                <p:outputPanel layout="block" style="text-align:left">

                    <p:commandButton icon="ui-icon-check" value="Aceptar"
                                     onstart="statusDialog2.show();" onsuccess="statusDialog2.hide();"
                                     action="#{evaluarDesempenoProfesionalAvaluador.ejecutarEvaluacion}"
                                     update=":evaluarDesempenoProfesionalAvaluadorForm"
                                     disabled="#{evaluarDesempenoProfesionalAvaluador.banderaEsEvaluacionAlmacenada}" />


                    <p:spacer width="5" />

                    <p:commandButton value="Vista previa"
                                     disabled="#{!evaluarDesempenoProfesionalAvaluador.banderaEsEvaluacionAlmacenada}"
                                     icon="ui-icon-search"
                                     action="#{evaluarDesempenoProfesionalAvaluador.verVistaPrevia}"
                                     update=":viewMemo:vistaMemoForm"
                                     onstart="statusDialog2.show();memorandoWV.show()"
                                     oncomplete="statusDialog2.hide();">
                    </p:commandButton>

                    <p:spacer width="5" />

                    <p:commandButton value="Consultar control de calidad"
                                     icon="ui-icon-search" onstart="statusDialog2.show();"
                                     onsuccess="statusDialog2.hide(); informeCorreccionesWV.show();"
                                     action="#{consultaInformeCorrecccionesProtocolo.cargarDesdeOtrosMB}"
                                     update=":consultarInformeCorreccionesAlProtocoloForm">
                        <f:setPropertyActionListener
                            value="#{evaluarDesempenoProfesionalAvaluador.avaluoSeleccionado.id}"
                            target="#{consultaInformeCorrecccionesProtocolo.avaluo.id}" />
                    </p:commandButton>

                    <p:spacer width="5" />

                    <p:commandButton value="Mover proceso"
                                     icon="ui-icon-circle-arrow-e" onstart="statusDialog2.show();"
                                     onsuccess="statusDialog2.hide(); "
                                     disabled="#{!evaluarDesempenoProfesionalAvaluador.banderaEsEvaluacionAlmacenada}"
                                     action="#{evaluarDesempenoProfesionalAvaluador.moverProceso}" />

                </p:outputPanel>

            </p:fieldset>

            <p:separator style="width:925px;height:3px" />

            <p:spacer height="7" />

            <p:outputPanel layout="block" style="text-align:right">
                <p:commandButton value="Cerrar"
                                 action="#{evaluarDesempenoProfesionalAvaluador.cerrar}"
                                 icon="ui-icon-circle-close" immediate="true" ajax="false" />
                <p:spacer height="0" width="30" />
            </p:outputPanel>
            <p:spacer height="20" width="0" />
        </h:form>

        <!-- ................... COMPOSITE COMPONENTS ................... -->

        <avaluos:informacionSolicitudCC id="isCC"
                                        thisWVName="infoSolicitudCCWV" thisId="isCC" mostrarInfoPago="false"
                                        detallePredioWVName="detallesPredioWV" detallePredioId="dpCC"
                                        infoPredialWVName="infoPredialWV" infoPredialId="pdsDialog"
                                        managedBean="#{consultaInformacionSolicitud}" />


        <!-- ................... DIALOGO PARA INFORMACION DEL CONTROL DE CALIDAD ................... -->
        <p:dialog dynamic="true" appendToBody="true" height="500" width="900"
                  header="Informe correcciones al protocolo"
                  widgetVar="informeCorreccionesWV">
            <ui:include
                src="/avaluos/controlCalidad/consultarInformeCorreccionesAlProtocolo.xhtml" />
        </p:dialog>

        <!-- ................... DIALOGO PARA INFORMACION DE REVISIONES ................... -->
        <p:dialog dynamic="true" appendToBody="true" height="400" width="900"
                  header="Consulta revisiones control calidad"
                  widgetVar="consultaRevisionesWV">
            <ui:include
                src="/avaluos/controlCalidad/consultarRevisionesControlCalidad.xhtml" />
        </p:dialog>


        <p:dialog dynamic="true" appendToBody="true" modal="true" height="600"
                  width="900" header="Informe control calidad"
                  widgetVar="informeControlCalidadWV">
            <ui:include
                src="/avaluos/controlCalidad/realizaInformeControlCalidad.xhtml" />
        </p:dialog>


        <!-- ................... DIALOGO PARA INFORMACION DE SOLICITANTE DE LA SOLICITUD ................... -->
        <p:dialog header="Adicionar solicitante" dynamic="true"
                  widgetVar="addSolicitanteDialogWV" width="900" appendToBody="true"
                  modal="true">
            <p:panel header="Datos del solicitante">
                <ui:include src="/avaluos/util/capturaDatosSolicitante.xhtml">
                    <ui:param name="adicionarSolicitanteWvParam"
                              value="guardarSolicitanteConfirmationWV" />
                </ui:include>
            </p:panel>
        </p:dialog>

        <!-- ................... DIALOGO PARA ANEXOS DE LA SOLICITUD ................... -->
        <p:dialog id="adminAnexos" widgetVar="administrarAnexosWV"
                  header="Anexos relacionados" appendToBody="true" closable="true"
                  minimizable="false" dynamic="true" width="900">
            <ui:include src="/avaluos/ingresoSolicitud/administrarAnexos.xhtml">
                <ui:param name="managedBeanParam"
                          value="#{administracionDocumentacionAvaluoComercial}" />
            </ui:include>
        </p:dialog>

        <!-- ................... DIALOGOS PARA INFORMACION PREDIAL ................... -->
        <p:dialog widgetVar="infoPredialWV" id="pdsDialog"
                  header="Información de los predios asociados al avalúo"
                  appendToBody="true" closable="true" minimizable="false"
                  resizable="false" dynamic="true" modal="true" width="850">
            <ui:include
                src="/avaluos/transversal/consultarInformacionPredial.xhtml" />
        </p:dialog>

        <predio:detallesPredioCC id="dpCC" thisWVName="detallesPredioWV"
                                 mostrarDatosTramites="false" thisIdPlusColon=":dpCC"
                                 mostrarFichaPredial="false" />

        <!-- COMPONENTE PARA VISUALIZAR EL DOCUMENTO GENERADO -->
        <misc:visualizadorMemorandosCC id="viewMemo" thisWVName="memorandoWV"
                                       radicarButtonEnabled="false"
                                       urlDocumento="#{previsualizacionDocumento.reporteDTO.urlWebReporte}"
                                       fileContent="#{previsualizacionDocumento.reporteDTO.streamedContentReporte}" />

        <ui:include src="/util/visorGeografico.xhtml" />

        <!-- ................... DIALOGOS PARA INFORMACION DE AVALUADORES ................... -->
        <p:dialog widgetVar="infoAvaluadoresAsignadosWV"
                  header="Profesionales de avalúos" appendToBody="true" closable="true"
                  minimizable="false" resizable="false" dynamic="true" modal="true"
                  width="600">
            <ui:include
                src="/avaluos/asignacion/consultarAvaluadoresAsignados.xhtml" />
        </p:dialog>



    </ui:define>
</ui:composition>